%define upstream_name    Image-PNG-Libpng
%define upstream_version 0.56

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface to the C library "libpng"
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: pkgconfig(libpng)
%description
Image::PNG::Libpng is a Perl library for accessing the contents of PNG
(Portable Network Graphics) images. Image::PNG::Libpng enables Perl to use
the "libpng" library to read and write files in PNG format.
Image::PNG::Libpng does not contain libpng. It must be installed prior to
installing Image::PNG::Libpng.

Image::PNG::Libpng consists of Perl subroutines which mirror the C
functions in libpng, plus helper subroutines to make it easier to read and
write PNG data in Perl.

For those familiar with libpng, the section the /Differences from libpng
manpage explains the differences with libpng.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorarch/*
/usr/bin/pnginspect
/usr/share/man/man1/pnginspect.1.xz

%changelog
* Fri Mar 12 2021 daviddavid <daviddavid> 0.560.0-1.mga7
+ Revision: 1701772
- import perl-Image-PNG-Libpng for mga7 branch (needed for gscan2pdf)

* Wed Dec 23 2020 tv <tv> 0.560.0-1.mga8
+ Revision: 1663064
- update to 0.56

* Tue Dec 22 2020 tv <tv> 0.550.0-1.mga8
+ Revision: 1662778
- update to 0.55

* Sun Dec 20 2020 tv <tv> 0.540.0-1.mga8
+ Revision: 1661639
- update to 0.54

* Sat Dec 19 2020 tv <tv> 0.530.0-1.mga8
+ Revision: 1661223
- update to 0.53

* Mon Dec 14 2020 tv <tv> 0.520.0-1.mga8
+ Revision: 1656916
- update to 0.52

* Sun Dec 13 2020 tv <tv> 0.510.0-1.mga8
+ Revision: 1656268
- update to 0.51

* Thu Dec 10 2020 tv <tv> 0.490.0-1.mga8
+ Revision: 1655103
- update to 0.49

* Mon Nov 23 2020 tv <tv> 0.480.0-1.mga8
+ Revision: 1648599
- update to 0.48

* Wed Nov 11 2020 tv <tv> 0.470.0-1.mga8
+ Revision: 1644696
- imported package perl-Image-PNG-Libpng


* Wed Nov 11 2020 cpan2dist 0.47-1mga
- initial mageia release, generated with cpan2dist
